curl -X POST 'https://api.sendforsign.com/api/webhook' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"webhooks": [
{
"url": "URL",
"created": true,
"seen": true,
"sent": false,
"approved": false,
"signed": false,
"fullySigned": true
}
]
}
}'
{
"webhooks": [
{
"createTime": "2024-04-08T08:58:54.000Z",
"url": "testurl1",
"secret": "whsec_123",
"webhookKey": "WEBHOOK_KEY"
}
],
"code": "201",
"message": "Webhooks created"
}
Webhook
Create webhook
Create a webhook.
POST
/
api
/
webhook
curl -X POST 'https://api.sendforsign.com/api/webhook' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"webhooks": [
{
"url": "URL",
"created": true,
"seen": true,
"sent": false,
"approved": false,
"signed": false,
"fullySigned": true
}
]
}
}'
{
"webhooks": [
{
"createTime": "2024-04-08T08:58:54.000Z",
"url": "testurl1",
"secret": "whsec_123",
"webhookKey": "WEBHOOK_KEY"
}
],
"code": "201",
"message": "Webhooks created"
}
Webhooks are created for the specific client key you use when creating a webhook.Documentation Index
Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
Use this file to discover all available pages before exploring further.
Body parameters
Show child attribute
Show child attribute
Action type.
Key of the client.
Array of webhooks.
Show child attribute
Show child attribute
Webhook’s endpoint.
Event to listen:
contract.created.Event to listen:
contract.seen.Event to listen:
contract.sent.Event to listen:
contract.approved.Event to listen:
contract.signed.Event to listen:
contract.fully_signed.Response
The code of the answer.
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/webhook' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"webhooks": [
{
"url": "URL",
"created": true,
"seen": true,
"sent": false,
"approved": false,
"signed": false,
"fullySigned": true
}
]
}
}'
{
"webhooks": [
{
"createTime": "2024-04-08T08:58:54.000Z",
"url": "testurl1",
"secret": "whsec_123",
"webhookKey": "WEBHOOK_KEY"
}
],
"code": "201",
"message": "Webhooks created"
}
⌘I